describe("gantt.", function(){

	describe("copy", function(){
		it("should make copy of object", function(){
			var a = { some: 1};
			var b = gantt.copy(a);

			expect(a.some).to.equal(b.some);
			a.some = 2;
			expect(b.some).to.equal(1);
		});
	});

	describe("mixin", function(){
		it("should mixin target object", function(){
			var a = { some: 1};
			var b = { other: 2 };

			gantt.mixin(b,a);

			expect(b.some).to.equal(1);
			expect(b.other).to.equal(2);
		});
		it("should not override existing properties", function(){
			var a = { some: 1};
			var b = { some:3, other: 2 };

			gantt.mixin(b,a);

			expect(b.some).to.equal(3);
			expect(b.other).to.equal(2);
		});
		it("should override properties, when last parameter is true", function(){
			var a = { some: 1};
			var b = { some:3, other: 2 };

			gantt.mixin(b,a, true);

			expect(b.some).to.equal(1);
			expect(b.other).to.equal(2);
		});
	});

});